# std::hash< _Tp * > Struct Template Reference

Inheritance diagram for std::hash< _Tp * >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::hash< _Tp * >

Partial specializations for pointer types.

Definition at line 51 of file tr1_impl/functional_hash.h.

## Public Types

- typedef _Tp * argument_type
- typedef size_t result_type

## Public Member Functions

- size_t operator() (_Tp *__p) const

## Member Typedef Documentation

typedef _Tp * std::unary_function< _Tp * , size_t >::argument_type `[inherited]`

`argument_type` is the type of the

Definition at line 105 of file stl_function.h.

typedef size_t std::unary_function< _Tp * , size_t >::result_type `[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 108 of file stl_function.h.

The documentation for this struct was generated from the following file:

- tr1_impl/functional_hash.h